Package org.postgresql.gss

# Class GSSOutputStream

java.lang.Object
java.io.OutputStream
org.postgresql.gss.GSSOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class GSSOutputStream extends OutputStream

## Constructor Summary

Constructors
Constructor
Description
`GSSOutputStream(OutputStream out, GSSContext gssContext, MessageProp messageProp, int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`void`
`write(byte[] buf)`
`void`
`write(byte[] b, int pos, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`close, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSSOutputStream

public GSSOutputStream(OutputStream out, GSSContext gssContext, MessageProp messageProp, int bufferSize)

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] buf) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int pos, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`